### Constructor

# GSSDP ResourceBrowser new

#### Declaration [src]

    GSSDPResourceBrowser*
    gssdp_resource_browser_new (
      GSSDPClient* client,
      const char* target
    )

#### Description [src]

Create a new resource browser for `target`.

`target` is a generic string the resource browser listens for on the SSDP bus. There are several possible targets such as

- `ssdp:all` for everything that is announced using SSDP
- `upnp:rootdevice` for UPnP device entry points, not caring about a special device type
- The UUID of a specific device
- Device types, such as `urn:schemas-upnp-org:device:MediaServer:1`
- Service types, such as `urn:schemas-upnp-org:service:ContentDirectory:1`.

#### Parameters

`client`

  Type: `GSSDPClient`

  The `GSSDPClient` to associate with.

  The data is owned by the caller of the function.

`target`

  Type: `const char*`

  A SSDP search target.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GSSDPResourceBrowser`

A new `GSSDPResourceBrowser` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.